package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.LegalPersonOwnership;

public interface LegalPersonOwnershipMapper {
    int deleteByPrimaryKey(String id);

    int insert(LegalPersonOwnership record);

    int insertSelective(LegalPersonOwnership record);

    LegalPersonOwnership selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(LegalPersonOwnership record);

    int updateByPrimaryKey(LegalPersonOwnership record);

	List<LegalPersonOwnership> selectByUid(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	int batchInsert(List<LegalPersonOwnership> lpo);
}